- name: Pull thanos image {{ thanos_docker_tags }}
  containers.podman.podman_image:
    name: thanosio/thanos
    tag: "{{ thanos_docker_tags }}"

- name: Stop thanos container
  containers.podman.podman_container:
    name: thanos_sidecar
    stop_timeout: 180
    state: absent

- name: Start thanos container
  containers.podman.podman_container:
    name: thanos_sidecar
    image: "thanosio/thanos:{{ thanos_docker_tags }}"
    state: started
    command:
      - "sidecar"
      - "--tsdb.path=/prometheus"
      - "--prometheus.url=http://{{ ansible_default_ipv4.address }}:9090"
      - "--grpc-address=0.0.0.0:10901"
    user: root
    restart: true
    restart_policy: always
    ports:
      - "10901:10901"
    volumes:
      - "/etc/hosts:/etc/hosts:ro"
      - "{{ prometheus_data_dir }}:/prometheus"
